﻿@model IContentBlockViewModel<TeaserSection3>

<div class="animation-anchor s0"></div>
<section class="text-left-image-video-right">
    <div class="text-left-image-video-right__container">
        <div class="text-left-image-video-right__img" id="info-img-translate">
            <div class="section-img-l-board" id="info-img-bord-left"></div>
            <div class="section-img-t-board" id="info-img-bord-top"></div>

            @if (Model.Content.HasValue("videoMp4") || Model.Content.HasValue("videoWebp"))
            {
                var posterimg = Model.Content.Value<IPublishedContent>("image");
                <video class="local-video" poster="@if(posterimg != null){<text>@posterimg.Url</text>}" playsinline autoplay muted loop>
                    @{
                        var webp = Model.Content.Value<IPublishedContent>("videoWebp");
                        var mp4 = Model.Content.Value<IPublishedContent>("videoMp4");
                        if (webp != null)
                        {
                            <source src='@webp.Url' type="video/webm">
                        }
                        if (mp4 != null)
                        {
                            <source src='@mp4.Url' type="video/mp4">
                        }
                    }
                </video>
            }
            else if (Model.Content.HasValue("image"))
            {
                var img = Model.Content.Image;
                <picture class="local-video">
                    <source srcset="@img.GetCropUrl(414, 320)" media="(max-width: 414px)"><!--590px phone-->
                    <source srcset="@img.GetCropUrl(590)" media="(max-width: 768px)"><!--590px ipad vertical-->
                    <img srcset="@img.GetCropUrl(1170)" alt="@RazorHelpers.GetAltText(img.Value<string>("altText"), Model.Content.Heading)"><!--1170px-->
                </picture>
            }

        </div>

        <div class="text-left-image-video-right__text" id="info-text">
            @if (Model.Content.HasValue("heading") && !string.IsNullOrEmpty(Model.Content.Value("heading").ToString()))
            {
                <h2 class="section-title">
                    @RazorHelpers.GenerateMsHeading(Model.Content.Value("heading").ToString())
                </h2>
            }
            <div class="date">@Model.Content.Value("subHeading")</div>
            <div class="description-text">
                @Model.Content.Value("text")
            </div>
            @{
                var links = Model.Content.Links;
                if (links.Any())
                {
                    foreach (var link in links)
                    {
                        if (link != null)
                        {
                            <a href="@link.Url" target="@link.Target" class="btn">
                                <span>@link.Name</span>
                                <svg width="13px" height="10px" viewBox="0 0 13 10">
                                    <path d="M1,5 L11,5"></path>
                                    <polyline points="8 1 12 5 8 9"></polyline>
                                </svg>
                            </a>
                        }

                    }
                }
            }
        </div>
    </div>
</section>
   


